Instalando o Skype no Ubuntu 13.04 64 bits

17

Aqui está o que eu tentei:

$ sudo apt-get install skype
[sudo] password for umpirsky: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 skype : Depends: skype-bin
E: Unable to correct problems, you have held broken packages.

$ sudo apt-get install skype-bin
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 skype-bin:i386 : Depends: libasound2:i386 (>= 1.0.23) but it is not going to be installed
                  Depends: libc6:i386 (>= 2.7) but it is not going to be installed
                  Depends: libgcc1:i386 (>= 1:4.1.1) but it is not going to be installed
                  Depends: libqt4-dbus:i386 (>= 4:4.5.3) but it is not going to be installed
                  Depends: libqt4-network:i386 (>= 4:4.8.0) but it is not going to be installed
                  Depends: libqt4-xml:i386 (>= 4:4.5.3) but it is not going to be installed
                  Depends: libqtcore4:i386 (>= 4:4.7.0~beta1) but it is not going to be installed
                  Depends: libqtgui4:i386 (>= 4:4.8.0) but it is not going to be installed
                  Depends: libqtwebkit4:i386 (>= 2.2~2011week36) but it is not going to be installed
                  Depends: libstdc++6:i386 (>= 4.6) but it is not going to be installed
                  Depends: libx11-6:i386 but it is not going to be installed
                  Depends: libxext6:i386 but it is not going to be installed
                  Depends: libxss1:i386 but it is not going to be installed
                  Depends: libxv1:i386 but it is not going to be installed
                  Depends: libssl1.0.0:i386 but it is not going to be installed
                  Depends: libgl1-mesa-glx:i386 but it is not going to be installed
                  Recommends: sni-qt:i386 but it is not going to be installed
                  Recommends: libasound2-plugins:i386 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Eu também tentei todas as sugestões de Não é possível instalar o Skype no Ubuntu de 64 bits , mas nenhum deles funcionou para mim.

Minha lista de fontes:

$ cat /etc/apt/souces.list /etc/apt/sources.list.d/*.list
cat: /etc/apt/souces.list: No such file or directory
deb http://downloads.hipchat.com/linux/apt stable main
deb https://private-ppa.launchpad.net/commercial-ppa-uploaders/screencloud/ubuntu raring main #Added by software-center; credentials stored in /etc/apt/auth.conf
deb https://private-ppa.launchpad.net/commercial-ppa-uploaders/splashtop-streamer/ubuntu raring main #Added by software-center; credentials stored in /etc/apt/auth.conf
deb https://private-ppa.launchpad.net/commercial-ppa-uploaders/vkaudiosaver/ubuntu raring main #Added by software-center; credentials stored in /etc/apt/auth.conf
deb http://ppa.launchpad.net/upubuntu-com/chat/ubuntu quantal main
# deb-src http://ppa.launchpad.net/upubuntu-com/chat/ubuntu raring main

Por favor ajude.

ATUALIZAÇÃO:

Eu tentei instalar o TeamViewer e recebi um erro semelhante:

ATUALIZAÇÃO:

Acabei de instalar o novo Ubuntu 13.04 e recebi o mesmo erro.

ATUALIZAÇÃO:

Eu instalei o Skype com:

sudo dpkg --force-depends -i skype-ubuntu-precise_4.2.0.11-1_i386.deb

Mas não é possível executá-lo:

$ ll /usr/bin | grep skype
-rwxr-xr-x  1 root root    30701056 мај  7 01:42 skype*
$ /usr/bin/skype
bash: /usr/bin/skype: No such file or directory

ATUALIZAÇÃO:

Eu posso reproduzir isso sem instalar o Ubuntu, a partir do live CD.

    
por umpirsky 08.09.2013 / 21:47

13 respostas

13

Instalando a partir de fontes

Primeiro, siga todas as instruções listadas na postagem a seguir para se livrar das dependências não atendidas:

Em seguida, instale o Skype conforme especificado aqui:

Parafraseando, esta é a maneira correta de instalar o Skype no Ubuntu de 64 bits:

sudo dpkg --add-architecture i386
sudo add-apt-repository "deb http://archive.canonical.com/ $(lsb_release -sc) partner"
sudo apt-get update
sudo apt-get install skype

Instalando a partir do arquivo .deb no Ubuntu 12.04+ em 32 ou 64 bits

  1. Faça o download do Skype para o Ubuntu 32-bit Precise i386 .
  2. Quando o download terminar, abra o arquivo baixado normalmente do Nautilus.
  3. Quando solicitado, selecione Abrir com o Ubuntu Software Center (padrão).
  4. No lado direito da janela do Ubuntu Software Center que é aberta, selecione Instalar .
  5. Caso a etapa 4 não funcione, tente no terminal:

    sudo dpkg --force-depends -i skype-ubuntu-precise_4.2.0.11-1_i386.deb
    

    Note que este passo 5 não é o ideal, mas tenho quase certeza de que isso funcionará.

Fonte : Introdução ao Skype para Linux .

    
por Radu Rădeanu 10.09.2013 / 22:41
7

Honestamente, acho que existe uma solução mais fácil que todas as outras respostas.

Se bem me lembro, eu instalei o Skype em 13.04 64 bit indo para a página de downloads do skype.com e escolhendo o Ubuntu 12.04. Então você abre com o centro de software e cuida das coisas para você.

Acho que vale a pena tentar. Se isso não funcionar, deixe um comentário e eu vou deletar a resposta.

    
por don.joey 13.09.2013 / 11:19
3

Como eu posso entender a partir do post, respostas e comentários (links / gist também), você fez erros de digitação e existem várias fontes com entradas duplicadas.

  1. Primeiro, conforme você digitou o erro ao adicionar a arquitetura, corrija-a usando: sudo dpkg --remove-architecture i38
  2. Para se livrar de entradas duplicadas, verifique esta resposta: Como removo essa entrada duplicada do sources.list?
  3. Agora, abra "Software & amp; Atualizações ', vá para a aba' Outro Software 'e desmarque tudo o que você não deseja usar. Em seguida, execute sudo apt-get update
  4. Finalmente, use a resposta dada por Radu :

    % bl0ck_qu0te%

Dica: Copiar e colar comandos.

    
por TomKat 23.09.2013 / 19:02
1

Para instalar o Skype, não há nada mais fácil:

sudo rename -n 's/\.list$/.list.disable/g' /etc/apt/sources.list.d/*.list
sudo add-apt-repository "deb http://archive.canonical.com/ $(lsb_release -sc) partner"
sudo apt-get update
sudo apt-get install aptitude
sudo aptitude full-upgrade
sudo aptitude install skype
    
por Braiam 08.09.2013 / 22:14
0

Você deve usar esses comandos

sudo dpkg --add-architecture i386   # only needed for 64-bit systems
sudo add-apt-repository "deb http://archive.canonical.com/ $(lsb_release -sc) partner"
sudo apt-get update
sudo apt-get install ia32-libs
sudo apt-get install skype skype-bin sni-qt:i386

Se isso funcionar, você pode usar o Skype, caso contrário, tente o comando abaixo

sudo apt-get -f install

Se nada disso funcionar, você pode tentar obter o Skype do oficial .deb e instalar a partir dele

wget http://download.skype.com/linux/skype-ubuntu-precise_4.2.0.11-1_i386.deb
sudo dpkg -i skype-ubuntu-precise_4.2.0.11-1_i386.deb

ATUALIZAÇÃO:

Experimente estes comandos:

sudo apt-get clean
sudo apt-get autoclean
sudo apt-get -f install

Em seguida, tente novamente os comandos acima, começando em sudo apt-get install ia32-libs

    
por kiri 08.09.2013 / 22:53
0

Por favor, vá para link e gere uma lista de fontes. Edite a lista de fontes.

nano /etc/apt/sources.list

Depois disso, atualize e atualize seu sistema.

sudo apt-get clean && sudo apt-get update && sudo apt-get upgrade 

Agora tente instalar o Skype.

    
por Ketan Patel 13.09.2013 / 11:40
0

Eu fui ao skype.com e baixei a versão do Ubuntu 12.04 e então ele abriu a loja de software e me pediu para instalar um add-on para fazê-lo funcionar no meu computador e está funcionando bem agora. Eu tentaria isso.

    
por Thomas 15.09.2013 / 21:34
0

Este método detectará automaticamente a arquitetura do sistema operacional e instalará o mais recente skype:

sudo add-apt-repository "deb http://archive.canonical.com/ $(lsb_release -sc) partner"
sudo apt-get update
sudo apt-get install skype && sudo apt-get -f install

Nota: Se você precisar instalar o libqt4-webkit, para isso usei o Synaptic

Tente isto:

sudo dpkg --add-architecture i386
sudo apt-get install ia32-libs
sudo apt-get update
wget -O skype.deb http://download.skype.com/linux/skype-ubuntu-precise_4.2.0.11-1_i386.deb
sudo dpkg -i skype.deb
sudo apt-get -f install

Editar 2:

Tente isso. Apenas pressione Ctrl + Alt + T no seu teclado para abrir o Terminal. Quando se abre, execute o (s) comando (s) abaixo:

sudo apt-get install lib32stdc++6 lib32asound2 ia32-libs libc6-i386 lib32gcc1

Em seguida, Faça o download do Skype para o Ubuntu de 32 bits Preciso i386. Selecione para abrir com o Ubuntu Software Center, uma vez aberto, clique em Instalar.

Parte da informação da Nooslab

    
por Mitch 15.09.2013 / 19:57
0

Estou apenas tirando uma foto no escuro, mas, na tela abaixo:

link

Tente acessar o "Ubuntu Software Center" e digite a pesquisa "libasound2: i386".

Eu fiz e consegui este resultado:

Shared library for ALSA applications
libasound2:i386

link para captura de tela - link

Verifique se eles já estão instalados. Se não então tente instalar isto primeiro e depois instalar o seu Skype ...

Espero que funcione, boa sorte!

@umpirsky Como diz na sua captura de tela, o libasound2: i386 é dependente do arquivo libc6, portanto vá ao Ubuntu Software Center, digite libc6 e tente instalá-lo primeiro. Se isso não funcionar, verifique se libc6 é dependente de algum arquivo e tente instalá-lo e trabalhe de lá ...

Indica no erro que: "Further more there could be a conflict between software packages which are not allowed to be installed at the same time" . Esse pode ser o problema que você está tendo, portanto, talvez seja necessário instalá-los separadamente.

"EDITAR" & downarrow;

Como "Saurav Kumar" mencionado no início, basta instalar o " Synaptic " e percorrer a lista adicionando e instalando a lista um de cada vez ...

Espero que isso ajude, boa sorte umpirsky ...

    
por SoCalDiegoRob 17.09.2013 / 00:00
0

Parece que algumas atualizações recentes do Ubuntu corrigiram esse problema.

Eu tentei instalar hoje e foi bem link .

Obrigado a todos que tentaram ajudar!

    
por umpirsky 16.10.2013 / 14:27
0

Você está usando o "Servidor Principal" como seu servidor dist?

Eu tive esse mesmo problema que eu consegui consertar alterando meu servidor dist de um servidor local para "Servidor Principal" em "Configurações do Sistema" > "Software e atualizações".

infelizmente não consegui encontrar uma linha de comando para alterar facilmente o servidor dist, mas você sempre pode editar seu /etc/apt/sources.list e alterar o servidor.

Espero que ajude.

    
por Amit Kumar 10.03.2014 / 09:31
0

Eu estava acertando o mesmo problema e lutando para instalar o libqtwebkit via apt-get nem aptitude nem dkpg nem gedi

Veja como eu resolvo meu problema de dependências:

wget  http://th.archive.ubuntu.com/ubuntu/pool/main/g/gst-plugins-base0.10/libgstreamer-plugins-base0.10-0_0.10.36-1_i386.deb

dpkg -i libgstreamer0.10-0_0.10.36-1ubuntu1_i386.deb

wget http://th.archive.ubuntu.com/ubuntu/pool/main/g/gst-plugins-base0.10/libgstreamer-plugins-base0.10-0_0.10.36-1_i386.deb

dpkg -i libgstreamer-plugins-base0.10-0_0.10.36-1_i386.deb.1

wget http://th.archive.ubuntu.com/ubuntu/pool/main/q/qtwebkit-source/libqtwebkit4_2.2.1-1ubuntu4_i386.deb

dkpg -i libqtwebkit4_2.2.1-1ubuntu4_i386.deb

wget download.skype.com/linux/skype-ubuntu-precise_4.3.0.37-1_i386.deb

dpkg -i skype-ubuntu-precise_4.3.0.37-1_i386.deb
    
por Sam Wong 15.09.2014 / 07:26
0
  1. Para que o Skype funcione no Ubuntu 13.04 Raring Ringtail com drivers proprietários da Nvidia / AMD, em primeiro lugar, renomearemos o Skype executável de "skype" para "skype-bin":

    sudo mv /usr/bin/skype /usr/bin/skype-bin
    
  2. Agora vamos criar um arquivo chamado "skype" em / usr / bin / - para isso vamos lançar um editor de texto como root (eu vou usar o Gedit no instruções abaixo):

    gksu gksu gedit /usr/bin/skype
    

(Eu usei "gksu" duas vezes no comando acima para que o Gedit não abra uma guia em branco junto com / usr / bin / skype)

E neste arquivo, cole o seguinte:

#!/bin/sh
export LD_PRELOAD=/usr/lib/i386-linux-gnu/mesa/libGL.so.1
exec skype-bin "[email protected]"

Em seguida, salve o arquivo.

E, finalmente, execute o seguinte comando em um terminal:

sudo chmod 0755 /usr/bin/skype

É isso. Agora o Skype deve funcionar no Ubuntu 13.04 Raring Ringtail.

Se você quiser reverter as alterações feitas usando as instruções acima, use estes comandos:

sudo rm /usr/bin/skype
sudo mv /usr/bin/skype-bin /usr/bin/skype

Fonte :

por blade19899 13.09.2013 / 10:00